*,
*::after,
*::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
body{
    font-family: 'Inter', sans-serif;
    }
:root{
    --yellow: #e850fc;
    --black1: #1f1d2c;
    --black2: #242635;
    --grey: #e5e5e5;
    --white: #ffffff;
}
.nav__toggle {
    display: none;
}
.nav{
    position: fixed;
    background-color: var(--black2);
    height: 60px;
    justify-content:right;
    align-items: right;
    margin-top: 1px;
    z-index: 20; 
}
.nav ul {
display: flex;
gap: 30px;
list-style: none;
margin-left: 160px;
}
.nav ul a:hover {
    color: var(--yellow);
    cursor:pointer;    
}
.nav a {
    text-decoration: none;
    color: white;
    font-size: 18px;
    margin-top: 10%;
}
/*Home*/
.header__container{
    display: flex;
    justify-content: center;
    gap: 5%;
    flex-direction: row;
    background-color: var(--black1) ;
    color: white; 
    padding: 0px 0px 40px;
}
.first__header__container{
    display: flex;
    flex-direction:column;
    justify-self:center; 
       
}
.first__header__container h1 {
   font-size: 50px;
   -webkit-text-stroke: 3px var(--yellow);
    max-width: 560px;
   font-weight: 120px;
   color: white;
   align-items: center;
   margin-top: 20%;
}
.first__header__container h2 {
    margin-top: 20px;
    font-size: 22px;
    font-weight: 10;
    
    }
.second__container h3 {
    right: 100%;
    margin-top: 30px;
    font-size: 25px;
    font-weight: 10;
       
}
.circle__photo{
    width: 350px;
    height: 260px;
    position: relative;
    z-index: 10;
  margin-top: 150px;
}
.circle__photo img{
   width: 350px;
   height: 450px;
   
}
.second__header__container{
    width: 20%;
   }
.second__container__img{
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center;
    
    
}
.second__container__img img{
max-width: 400px;
height: 300px;
position: absolute;
z-index: 15;
left: 20%;
margin: 0px 0px 350px;
margin-right: 250px;

}

.second__container span {
    color: var(--yellow)
}
.icons__container{
    display: flex;
    margin-top: 50px;
    gap: 80px;
}
.icon__shape  {
    background-color: var(--black1);
    width: 50px;
    height: 50px;
    display: flex;
    justify-content:left;
    
}
.icon__shape:hover{
    transform: scale(1.5);
}
.icon__shape a {
    color: var(--yellow);
    font-size: 45px;
}
/**About main*/
.main{
    background-color: var(--black2);
    width: 100%;
   }

.about{
    background-color: var(--black2);
    display: flex;
    justify-content: center;

    padding: 0px 0px 40px;
    
}
.about h2{
    font-size: 50px;
    margin-bottom: 20px;
    color: white;
    margin-top: 60px;
    display: flex;
    justify-content: center;
}
.about p {
    font-size: 22px;
    color: white;
    margin-top: 60px;
    max-width: 750px;
    display: flex;
   line-height: 30px;   
}
.icons__main{
    display: flex;
    justify-content: center;
    margin-top: 30px;
    gap: 350px;
 }
.icons__main img {
    color: var(--black2);
    max-width: 120px
  
}
.text__icon{
    font-size: 18px;
    color: var(--white);
    display: flex;
   justify-content: center;
    margin-top: 8px;
    gap: 380px;       
}
.title__icon{
    font-size: 18px;
    display: flex;
    justify-content: center;
    font-weight: 800;
} 
/*Experence*/
.experience__container{
    background-color: var(--black1);
    color: var(--white);
    
  }
.experience{
        display: flex;
        justify-content: center;
        align-items: center;
}
.title__experience{
    display: flex;
    justify-content: center;
    align-items: center;
}
.title__experience h2 {
    font-size: 50px;
    color: white;
          
}
.container__img__text{
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 100px;
   
}
.img__experience{
    width: 30px;
    position: relative;
    right: 350px;
}
.img__experience img{
    width:  500px;
    position: absolute;
       
}
.icon__text__container{
    display: flex;
    justify-content:center;
    margin-top: 60px;
    width: 70%;   
}
.row__container{
    display: flex;
  justify-content: center;
    flex-direction: column;
    margin-top: 10px;
    width: 50%;
}
.first__row__experience,
.secund__row__experience,
.third__row__experience{
display: flex;
flex-direction: row;
width: 100%;
}
.icon__experience{
    width: 30%;
    height: 30%;
    display: flex;
   justify-content: center;
    margin-right: 40%;
    margin-top: 10%;
}
.icon__experience img {
    width: 65px;
    transition: transform.2s;
}
.icon__experience:hover {
    transform: scale(1.5);
}
.text__experience{
    margin-top: 20px;
    margin-bottom: 60px;  
}
.text__experience  h3,h4,h5 {
    width: 150%;
   justify-content: center;
}
.year__experience{
    margin-top: 10%;
    margin-left: 155px;
}
.year__experience h3 {
   width: 150%;
}
/**SKILLS*/
.skills__container{
    background-color: var(--black2);
    color: var(--white);         
}
.Skills__img {
    display: flex;
    justify-content: center;
    flex-direction: row;
    width: 90%;   
    margin-top: 20px;
}
.imagen__about{
  width: 50%;
   position: relative;    
}
.imagen__about img{
    margin-top: 30%;
    width: 95%;
    position: absolute;  
}
.skills__container h2{
    font-size: 50px;
    display: flex;
    justify-content: center;
    margin-top: 55px;
}
.skills__text{
    display: flex;
    flex-direction:column;
    width: 100%;
    margin-block-end: 5%;
 }
.row__skills{
     width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 5%;
    gap: 10%;
}
.row__skills h3{
    width: 50%;
   display: flex;
   justify-content: center;
   margin-top: 1px;
 }
.skills__percentage{
   color:var(--yellow);
   font-size: 50px; 
   margin-left: 50%;

}
/*Briefcase*/
.briefcase__container{
    background-color: var(--black1);
    color: var(--white);
    padding: 0px 0px 40px;
}
.briefcase__container h2{
    font-size: 36px;
    display: flex;
    margin-top: 60px;
  }
 .title__briefcase{
   display: flex;
   justify-content:center;
   margin: 60px;
   
 }
.panel__img__briefcase{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px;
   
  }
.briefcase__img{
    max-width: 40%;
   background-color: var(--yellow);

}
.briefcase__img:hover{
transform: scale(1.2);

}
.briefcase__img img{
    max-width: 98%;
    max-height: 95%;
}
/** Contact */
.panel__contact h3 {
    font-size: 30px;
    margin-top: 40px;
    color: var(--white);
    text-align: center;
}
.contact__section {
    display: flex;
    justify-content: center;
   }
.contact__section__elements {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5%;
}
.text__img__contact {
    width: 80px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.text__img__contact i {
    color: var(--yellow);
    font-size: 50px;
}
.text__contact {
    font-weight: 600;
    color: var(--white);
    margin-top: 5px;
    line-height: 35px;
    font-size: 22px;
    
}
.info__contact{
    font-weight: 400;
    color: var(--white);
    font-size: 14px;
    opacity: 0.7;
}
/** Footer */
.footer__section {
    padding: 3%;
    background-color: var(--black1);
    text-align: center;
    color: var(--white);
}

@media (max-width: 992px) {
.nav a {
    font-size: 15px;
 }
.first__header__container h1 {
    font-size: 45px;
    margin-top: 80px;
}
 .first__header__container h2 {

     font-size: 18px;
     font-weight: 8;
}
 .second__container h3 {
     font-size: 20px;      
 }
.second__container span {
     color: var(--yellow)
 }
 .circle__photo{
    width: 30px;
 }
 .circle__photo img{
    width: 300px;
    height: 480px;
 }
 .second__container__img img{
    max-width: 300px;
    height: 280px;
    position: absolute;
    z-index: 15;
    left: 20%;
    margin: 0px 0px 350px;
    margin-right: 250px;
    
    }
 .icons__container{
     gap: 30px;
 }
.icon__shape a {
 font-size: 40px;
 }
 /*ABOUT*/
.about h2{
    font-size: 30px;
}
.about p {
    font-size: 18px;   
}
.icons__main{
 gap: 300px;
}
.icons__main img {
    max-width: 100px 
}
.text__icon{
    font-size: 12px;
    gap: 340px;      
}
.title__icon{
    font-size: 15px;  
} 
/*Experence*/
.experience__container{
padding: 10px;

}
.title__experience h2 {
    font-size: 30px;        
}
.container__img__text{
 gap: 20px;  
}
.img__experience{
 right: 300px;
}
.img__experience img{
    width:  450px;   
}
.icon__text__container{
margin-top: 40px;
width: 50%;   
}
.row__container{
 margin-top: 5px;
}
.icon__experience{
 margin-right: 40%;
margin-top: 2%;
}
.icon__experience a {
    font-size: 40px;
}
.text__experience{
    margin-top: 2px; 
}
.year__experience{
    margin-top: 10%;
    margin-left: 155px;
}
.year__experience h3 {
   width: 150%;
}
/**SKILLS*/
.imagen__about{
  width: 40%;  
}
.imagen__about img{
width: 85%;
}
.skills__container h2{
    font-size: 30px;
}
.row__skills{
gap: 5%;
}
.row__skills h3{
    font-size: 18px;
}
.skills__percentage{
   font-size: 30px;  
}
}

@media (max-width: 768px){
.nav__toggle {
display:block;
    }
.nav {
display: flex;
justify-content: left;
max-width: 100%;
padding: 1rem;
margin-bottom: 20px;
}
.nav button {
justify-content: right;
border: none;
background-color: transparent;

 }
.nav button i {
color: var(--yellow);
font-size: 28px;
cursor: pointer;
transition: 0.5s;
    }
.nav button i:hover {
rotate: 180deg;
}        
.nav__menu{
display: flex;
align-items: center;
flex-direction: column;
background-color: var(--yellow);
position: fixed;
top: 10%;
width: 100%;
height: 100%;

overflow-y: auto;
left: 100%;
}
.nav__menu a {
    font-size: 20px;
    margin-top: 30%;
}
.nav__menu__visible{
    left:0%;
}
    /*HOME*/
.header__container{
align-items: center;
flex-direction: column;
}
.circle__photo{
left: 20%;
width: 150px;
height: 250px;
}
.circle__photo img{
right: 20%;
width: 250px;
height: 250;
}
.second__header__container{
width: 100%;
}
.second__container__img img{
max-width: 250px;
height: 300px;
}

/*About*/

.about h2{
    font-size: 30px;
}
.about p {
    font-size: 17px;
    margin: 8%; 
}
.icons__main{
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 40%;
  
 }
.icons__main img {
    color: var(--black2);
    max-width: 120px
}
.section__img__about{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
   }
.text__icon{
    font-size: 18px;
    flex-direction: column;
    color: var(--white);
    display: flex;
   justify-content: center;         
}
.title__icon{
    font-size: 18px;
    display: flex;
    justify-content: center;   
} 
/*Experence*/
.title__experience h2 {
    font-size: 30px;        
}
.container__img__text{
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 3px;
  
}
.img__experience{
    width: 20px;
    right: 280px;
}
.img__experience img{
    width:  400px;    
}
.icon__text__container{
    display: flex;
    justify-content:center;
    margin-top: 20px;
    width: 70%;   
}
.row__container{
    display: flex;
  justify-content: center;
    flex-direction: column;
     width: 50%;
}

.icon__experience{
    width: 20%;
    height: 20%;
    margin-right: 20%;
    margin-top: 5%;
}
.icon__experience a {
    color: var(--white);
    font-size: 45px;
}
.text__experience{
    margin-top: 10px;
    margin-bottom: 60px;  
}

.year__experience{
    margin-top: 10%;
    margin-left: 60px;
}
/*Portafolio*/
.panel__img__briefcase{
   flex-direction: column;
   justify-content: center;
   align-items: center;
}
/*contact*/
.contact__section{
    flex-direction: column;
}

}

@media (max-width: 430px){
/*HOME*/
.circle__photo{
left: 5%;
width: 100px;
height: 300px;
}
.second__container__img img{
max-width: 150px;
height: 200px;
}
/*About*/
.icons__main img {
    max-width: 100px
}

.title__icon{
    font-size: 15px;    
} 
/*Experence*/
.container__img__text{
    display: flex;
    flex-direction: row;
    justify-content: center;
    
}
.img__experience{
    width: 10px;
    right: 180px;
}
.img__experience img{
    width: 350px;    
}

.icon__experience{
    width: 10%;
    height: 10%;
    margin-right: 20%;
    margin-top: 10%;
}
.icon__experience a {
 font-size: 40px;
}
.text__experience{
    font-size: 12px;
    margin-top: 10px;
    margin-bottom: 40px;  
}
.year__experience{
    margin-top: 10%;
    margin-left: 40px;
    font-size: 15px;
}
/**SKILLS*/
  .skills__container h2{
      font-size: 25px;
  }
  .row__skills{
    width: 100%;
  gap: 5%;
  }
  .row__skills h3{
      font-size: 15px;
  }
  .skills__percentage{
    margin: 10%;
     font-size: 20px;  
  }


/*Portafolio*/

.panel__img__briefcase{
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
/*contact*/
.contact__section{
    flex-direction: column;
}
.title__briefcase h2{
font-size: 30px;
}
}
